--- title: "createPlacementGroup" slug: "compute-vserver-server-placementgroup-createplacementgroup" updated: 2026-09-17T10:06:02Z published: 2026-09-17T10:06:02Z canonical: "api.ncloud-docs.com/compute-vserver-server-placementgroup-createplacementgroup" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # createPlacementGroup Available in VPC Create a physical placement group where a server instance (VM) belongs. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET \| POST | /vserver/v2/createPlacementGroup | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For information about the headers common to all Server APIs, see [Server request headers](/docs/en/compute-vserver#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist). - First Region in the query results (default) | | `placementGroupName` | String | Optional | Physical placement group name - Auto-generated on no input (default) - Enter 3 to 30 characters using a combination of lowercase English letters, numbers, and the special character "-". | | `placementGroupTypeCode` | String | Optional | Physical placement group type code - `AA`: Anti-Affinity type (valid value) | | `responseFormatType` | String | Optional | Format of the response data - `xml` (default) \| `json` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vserver/v2/createPlacementGroup ?regionCode=KR &placementGroupName=test-*** &placementGroupTypeCode=AA &responseFormatType=json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `createPlacementGroupResponse` | Object | - | Response result - See [PlacementGroupList](/docs/en/common-vapidatatype-placementgrouplist). | | `createPlacementGroupResponse.requestId` | String | - | ID for the request - UUID format | | `createPlacementGroupResponse.returnCode` | String | - | Response code | | `createPlacementGroupResponse.returnMessage` | String | - | Response message | ### Response status codes For information about the response status codes common to all Server APIs, see [Server response status codes](/docs/en/compute-vserver#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "createPlacementGroupResponse": { "totalRows": 1, "placementGroupList": [ { "placementGroupNo": "***61", "placementGroupName": "test-***", "placementGroupType": { "code": "AA", "codeName": "Anti-Affinity" } } ], "requestId": "ecf3470f-bb82-4843-b5d5-a606e52ecf53", "returnCode": "0", "returnMessage": "success" } } ```